cURL
curl https://api.goshippo.com/customs/declarations/ \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.customs_declarations.list()
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.customsDeclarations.list();
// Handle the result
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->customsDeclarations->list(
page: 1,
results: 5,
shippoApiVersion: '2018-02-08'
);
if ($response->customsDeclarationPaginatedList !== null) {
// handle response
}using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.CustomsDeclarations.ListAsync(
page: 1,
results: 5,
shippoApiVersion: "2018-02-08"
);
// handle responsepackage hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.ListCustomsDeclarationsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
ListCustomsDeclarationsResponse res = sdk.customsDeclarations().list()
.page(1L)
.results(5L)
.shippoApiVersion("2018-02-08")
.call();
if (res.customsDeclarationPaginatedList().isPresent()) {
// handle response
}
}
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/customs/declarations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/customs/declarations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/customs/declarations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"certify": true,
"certify_signer": "Shawn Ippotle",
"contents_type": "MERCHANDISE",
"items": [
"5087f181d1dc4b14b73fdbf636498886"
],
"non_delivery_option": "RETURN",
"aes_itn": "<string>",
"b13a_filing_option": "FILED_ELECTRONICALLY",
"b13a_number": "<string>",
"certificate": "<string>",
"commercial_invoice": true,
"contents_explanation": "T-Shirt purchase",
"disclaimer": "<string>",
"duties_payor": {
"account": "2323434543",
"type": "THIRD_PARTY",
"address": {
"name": "Patrick Kavanagh",
"zip": "80331",
"country": "DE"
}
},
"exporter_identification": {
"eori_number": "PL123456790ABCDE",
"tax_id": {
"number": "123456789",
"type": "EIN"
}
},
"exporter_reference": "<string>",
"importer_reference": "<string>",
"is_vat_collected": true,
"invoice": "#123123",
"license": "<string>",
"metadata": "Order ID #123123",
"notes": "<string>",
"address_importer": "257ba08436604d2aaf069caafe7acb2a",
"eel_pfc": "NOEEI_30_37_a",
"incoterm": "DDP",
"invoiced_charges": {
"currency": "<string>",
"total_shipping": "<string>",
"total_taxes": "<string>",
"total_duties": "<string>",
"other_fees": "<string>"
},
"object_created": "2014-07-17T01:01:08.306Z",
"object_id": "e2197a54da9d470480f4f8796cc419cb",
"object_owner": "shippotle@shippo.com",
"object_updated": "2014-07-17T01:01:08.306Z",
"test": true
}
]
}{}Customs Declarations
List all customs declarations
Returns a list of all customs declaration objects
GET
/
customs
/
declarations
cURL
curl https://api.goshippo.com/customs/declarations/ \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.customs_declarations.list()
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.customsDeclarations.list();
// Handle the result
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->customsDeclarations->list(
page: 1,
results: 5,
shippoApiVersion: '2018-02-08'
);
if ($response->customsDeclarationPaginatedList !== null) {
// handle response
}using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.CustomsDeclarations.ListAsync(
page: 1,
results: 5,
shippoApiVersion: "2018-02-08"
);
// handle responsepackage hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.ListCustomsDeclarationsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
ListCustomsDeclarationsResponse res = sdk.customsDeclarations().list()
.page(1L)
.results(5L)
.shippoApiVersion("2018-02-08")
.call();
if (res.customsDeclarationPaginatedList().isPresent()) {
// handle response
}
}
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/customs/declarations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/customs/declarations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/customs/declarations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"certify": true,
"certify_signer": "Shawn Ippotle",
"contents_type": "MERCHANDISE",
"items": [
"5087f181d1dc4b14b73fdbf636498886"
],
"non_delivery_option": "RETURN",
"aes_itn": "<string>",
"b13a_filing_option": "FILED_ELECTRONICALLY",
"b13a_number": "<string>",
"certificate": "<string>",
"commercial_invoice": true,
"contents_explanation": "T-Shirt purchase",
"disclaimer": "<string>",
"duties_payor": {
"account": "2323434543",
"type": "THIRD_PARTY",
"address": {
"name": "Patrick Kavanagh",
"zip": "80331",
"country": "DE"
}
},
"exporter_identification": {
"eori_number": "PL123456790ABCDE",
"tax_id": {
"number": "123456789",
"type": "EIN"
}
},
"exporter_reference": "<string>",
"importer_reference": "<string>",
"is_vat_collected": true,
"invoice": "#123123",
"license": "<string>",
"metadata": "Order ID #123123",
"notes": "<string>",
"address_importer": "257ba08436604d2aaf069caafe7acb2a",
"eel_pfc": "NOEEI_30_37_a",
"incoterm": "DDP",
"invoiced_charges": {
"currency": "<string>",
"total_shipping": "<string>",
"total_taxes": "<string>",
"total_duties": "<string>",
"other_fees": "<string>"
},
"object_created": "2014-07-17T01:01:08.306Z",
"object_id": "e2197a54da9d470480f4f8796cc419cb",
"object_owner": "shippotle@shippo.com",
"object_updated": "2014-07-17T01:01:08.306Z",
"test": true
}
]
}{}Authorizations
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Headers
Optional string used to pick a non-default API version to use. See our API version guide.
Example:
"2018-02-08"
Query Parameters
The page number you want to select
The number of results to return per page (max 100, default 5)
Required range:
x <= 100Last modified on July 16, 2026
Was this page helpful?
⌘I